<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.15" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structwiced__bt__ble__advert__elem__t" kind="struct" language="C++" prot="public">
    <compoundname>wiced_bt_ble_advert_elem_t</compoundname>
    <includes local="no">wiced_bt_ble.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structwiced__bt__ble__advert__elem__t_1a70f91e32698c6fdde84563cd0edf149d" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t *</type>
        <definition>uint8_t* wiced_bt_ble_advert_elem_t::p_data</definition>
        <argsstring />
        <name>p_data</name>
        <briefdescription>
<para>Advertisement data. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_ble.h" bodystart="226" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_ble.h" line="226" />
      </memberdef>
      <memberdef id="structwiced__bt__ble__advert__elem__t_1aaa6cf169af0de34e6be4b0be9d7057e2" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t wiced_bt_ble_advert_elem_t::len</definition>
        <argsstring />
        <name>len</name>
        <briefdescription>
<para>Advertisement length. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_ble.h" bodystart="227" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_ble.h" line="227" />
      </memberdef>
      <memberdef id="structwiced__bt__ble__advert__elem__t_1a1f047c04b8b36a6db70d04eda2168b0b" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__btm__ble__api__functions_1ga3764eb118b409b406eedbb158262a91f">wiced_bt_ble_advert_type_t</ref></type>
        <definition>wiced_bt_ble_advert_type_t wiced_bt_ble_advert_elem_t::advert_type</definition>
        <argsstring />
        <name>advert_type</name>
        <briefdescription>
<para>Advertisement data type. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_ble.h" bodystart="228" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_ble.h" line="228" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Advertisement element. </para>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="229" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_ble.h" bodystart="224" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_ble.h" line="225" />
    <listofallmembers>
      <member prot="public" refid="structwiced__bt__ble__advert__elem__t_1a1f047c04b8b36a6db70d04eda2168b0b" virt="non-virtual"><scope>wiced_bt_ble_advert_elem_t</scope><name>advert_type</name></member>
      <member prot="public" refid="structwiced__bt__ble__advert__elem__t_1aaa6cf169af0de34e6be4b0be9d7057e2" virt="non-virtual"><scope>wiced_bt_ble_advert_elem_t</scope><name>len</name></member>
      <member prot="public" refid="structwiced__bt__ble__advert__elem__t_1a70f91e32698c6fdde84563cd0edf149d" virt="non-virtual"><scope>wiced_bt_ble_advert_elem_t</scope><name>p_data</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>